package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.vo.jcgl.TbJcglZnzbVo;
import com.mosty.base.model.entity.jcgl.TbJcglZnzb;
import com.mosty.common.config.entity.SysDictItem;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TpjcglZnzbMapper extends BaseMapper<TbJcglZnzb> {

    void deleteZb(@Param("id") List<String> id);

    @ApiOperation("查询附近装备列表")
    List<TbJcglZnzbVo> getFjzbList(Map<String, Object> map);

    @ApiOperation("查询附近装备数量")
    int getFjzbCount(Map<String, Object> map);

    List<Map<String, Object>> sblxTj(String ssbmdm);

    @ApiOperation("查询字典")
    SysDictItem selectDict(@Param("dictName") String dictName, @Param("dm") String dm);

    List<Map<String, Object>> znlxTj(@Param("ssbmdm") String ssbmdm ,@Param("scode") String scode);

}
